QGIS Application - Bug report #7169

qgis master messes up table of attributes when deleting columns

2013-02-16 02:09 PM - Giovanni Manghi

Status: Closed

Priority: Severe/Regression

Assignee: Matthias Kuhn

Category: Vectors

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 16221
Description

Open a shape in both qgis 1.8 and master.

Toggle editing and from the table of attributes dialog hit the "delete columns" button, then choose one ore more columns that are not at

the end of the table.

In QGIS 1.8 it works more or less ok, the columns are correctly deleted, a minor issue is that when you hit save the columns after the

deleted ones become all full of "nulls", but closing and reopening the table fixes it.

In QGIS master when you delete columns that are not at the end of the table things get messed, usually the result is that one od the

selected columns is not deleted and another one (not selected) is deleted instead.

Related issues:
Related to QGIS Application - Bug report # 7190: Cell values in attribute tab...

Closed 2013-02-20

History

#1 - 2013-02-19 07:07 PM - Amit Kulkarni

| could not replicate this. By open a shape, you mean shapefile?

#2 - 2013-02-20 05:02 AM - Borys Jurgiel

Confirmed when removing multiple columns at once.

For example: try to remove first two columns. Actually 1st and 3rd is going to be removed.

In general, seems if | remove columns number n and m, then columns n and (m+1) are removed.

#3 - 2013-02-20 05:27 AM - Borys Jurgiel

See also #7190

#4 - 2013-02-20 06:19 AM - Matthias Kuhn
- Assignee set to Matthias Kuhn

Is caused by attributes not being a map, but a list and removal in ascending order...
#5 - 2013-02-20 06:35 AM - Matthias Kuhn

Pull request 1#431 will fix this.
In case the pull request gets rejected, cherry picking commit:d83f764 should work as well.

#6 - 2013-03-27 04:17 AM - Matthias Kuhn
- Status changed from Open to Closed

Pull request got accepted.
Fixed in commit:0d3a3879
https://github.com/qgis/Quantum-GIS/pull/431

